(*

Mr^Roboto's change list
~~~~~~~~~~~~~~~~~~~~~~~

2000-02-05 : Removed cursor turner-offer.  Messes up my computer
           : Fixed up cosmetics
           : Added +/- to the configuration screen
           : Got rid of GOTOs and put in procedures
           : Fixed the "chancevioletarrest" configuration display
           : Fixed START.BAT handling.  No longer limited to 20 lines.
           : Added MY cursor turner-offer.

*)

Program LordCops_Config;

Uses Crt;

var sx,sy:array[1..10] of shortint;  {for config option}
    i,j:integer;            {general counter variables}
    a:char;                 {menu input key}
    bar,oldbar:byte;        {menu bar}
    f:array[1..5] of text;  {allow up to 5 open files at once}
    pathtofile,             {where is LORD?}
    pathtolordcops:string;  {where is LordCops?}
    unloaddata:string; {for unloading, reads in START.BAT}
    unloadbool:boolean;

    isInc, isDec : Boolean;

{-----------------------------------------------------------------------}
{                        Editor Variables                               }
{-----------------------------------------------------------------------}

    chanceactivity,pathtolord,chanceinnraid,maxhitpoints,maxgold,
    maxexperience,maxdefense,maxstrength,fightdown,killlowerfine,
    chanceequipmentstoreraid,goldwhenraided,chancevioletarrest,
    violetout,temp:string; tmp:integer;
{=======================================================================}

Procedure center(row:integer; text:string);
begin  {centers a string on a line}
  gotoxy(40-length(text) div 2,row);
  write(text);
end;

procedure cursor(State:boolean);
{Var R : Registers;
begin
  R.Ah := $01;
  If State Then R.Cx := $0506 Else
                R.Cx := $2607;
  Intr($10,R);
end;}
Begin
  ASM
    MOV   AH, $01
    CMP   STATE, 1
    JE    @ON
    MOV   CX, $2607
    JMP   @END
  @ON:
    MOV   CX, $0506;
  @END:
    INT   $10
  END;
End;
(* begin {turns the cursor on or off (the blinking is distracting at the}
  if onoroff then       {main menu, and also unprofessional)}
   asm                    {Not to mention the code... - Mr^Roboto}
    mov   ah,$01
    mov   ch,14
    mov   cl,15
    int   $10
    ret   0
   end
  else
   asm
    mov   ah,$01
    mov   ch,32
    int   $10
    ret   0
   end;
 end;*)

 Procedure Install;
 Begin
  cursor(true);
  clrscr;
  assign(f[1],pathtolord+'3RDPARTY.DAT');
  {$I-}
  reset(f[1]);
  {$I+}
  if ioresult<>0 then begin
    writeln('Please configure LordCops with option 1 off of the main menu... I can''t');
    writeln('find Lord.. :(');
    readkey;
    Exit;
  end;
  close(f[1]);
  writeln('Do you want LordCops to run every time Lord is run, or do you want it');
  writeln('to be run nightly?');
  writeln('  1 - Install to START.BAT');
  writeln('  2 - Don''t Install - Allow user to place commandline in a different');
  writeln('      batch file.');
  a:=' ';
  While (Not( A In ['1','2'])) Do A := ReadKey;
  if a='1' then begin
   assign(f[1],pathtolord+'START.BAT');
   append(f[1]);
   writeln(f[1],pathtolordcops+'LORDCOPS.EXE');
   close(f[1]);
   writeln('Installed to '+pathtolord+'START.BAT...');
  end else begin
   writeln;
   writeln('Remember to add a nightly event for LordCops, using this');
   writeln('command line:');
   writeln;
   writeln('  '+pathtolordcops+'LORDCOPS.EXE MAINT');
  end;
  readkey;
 End;

 Procedure Uninstall;
 Begin
  ClrScr;
  cursor(true);
  assign(f[1],pathtolord+'START.BAT');
  {$I-}
  reset(f[1]);
  {$I+}
  if ioresult<>0 then begin
    WriteLn('Unable to locate LORD.'); {192}
    Writeln('> Configure LordCops with option 1 from the main menu.');
   Readkey;
   Exit;
  end;
  {$I-}
  i:=0;
  unloadbool:=false;
  repeat
   readln(f[1],unloaddata);
   if pos('LORDCOPS.EXE',unloaddata)<>0 then unloadbool:=true;
  until (eof(f[1])) or (unloadbool);
  if unloadbool=false then begin
   writeln('LordCops is not installed.');
   Readkey;
   Exit;
  end;
  reset(f[1]);
  assign(f[2],'start.~~~');
  rewrite(f[2]);
  Repeat
    Readln(F[1], UnloadData);
    if pos('LORDCOPS.EXE',unloaddata)=0 then writeln(f[2],unloaddata);
  Until EOF(F[1]);
  close(f[2]);
  Erase(f[1]);
  Rename(F[2],'START.BAT');
  writeln('Unloaded.');
  Readkey;
 End;

 Procedure Config;
 Begin
  cursor(true);
  clrscr;
  textcolor(11);
  writeln;

  Write(' Are you currently in the lord directory? [Y/N] ');
  A := ' ';
  While (Not (Upcase(A) In ['Y','N'])) Do A := Upcase(ReadKey);
  Writeln(a);

  pathtofile:='';
  if a='N' then begin
   writeln(' What directory is LORD installed in?');
   write(': ');
   textcolor(9); {get lord dir}
   readln(pathtofile);
   textcolor(11);
   if copy(pathtofile,length(pathtofile),1)<>'\' then pathtofile:=pathtofile+'\';
  end else getdir(0,pathtolord);

  Write(' Is this also the directory to install LordCops in? ');
  A := #0;
  While (Not (Upcase(A) In ['Y','N'])) Do A := Upcase(ReadKey);
  WriteLn(A);

  if a='N' then begin
   writeln('Where can I find LordCops?');
   write(': ');
   textcolor(9); {get lordcops dir}
   readln(pathtolordcops);
   textcolor(11);
   if copy(pathtolordcops,length(pathtolordcops),1)<>'\' then pathtolordcops:=pathtolordcops+'\';
  end else begin
   getdir(0,pathtolordcops);
  end;
  If (pathtolord[length(pathtolord)]<>'\') and (pathtolord<>'') then pathtolord:=pathtolord+'\';
  If (pathtolordcops[length(pathtolordcops)]<>'\') and (pathtolordcops<>'') then pathtolordcops:=pathtolordcops+'\';
  assign(f[1],pathtolordcops+'LORDCOPS.CFG');
  {$I-}
  reset(f[1]);
  {$I+}   {Does the cfg file exist?}
  if ioresult<>0 then begin
   writeln('***First time configuration***');
   rewrite(f[1]); {Write file with my defaults}
   writeln(f[1],'5');
   writeln(f[1],pathtolord);
   writeln(f[1],'20');
   writeln(f[1],'100');
   writeln(f[1],'800000000');
   writeln(f[1],'15000');
   writeln(f[1],'15');
   writeln(f[1],'15');
   writeln(f[1],'3');
   writeln(f[1],'40');
   writeln(f[1],'15');
   writeln(f[1],'30');
   writeln(f[1],'10');
   writeln(f[1],'1');
   writeln(f[1],'-------------------------------------------------------------------');
   writeln(f[1],'Line 1 - Random Number multiplier for police actually doing anything');
   writeln(f[1],'         The lower, the more likely they come');
   writeln(f[1],'         1 means that it will run every time.');
   writeln(f[1]);
   writeln(f[1],'Line 2 - Path to lord data files - must include trailing backslash');
   writeln(f[1]);
   writeln(f[1],'Line 3 - Random Number multiplier for police raiding the Inn - this');
   writeln(f[1],'         _should_ be fairly high (meaning a lower chance of them');
   writeln(f[1],'         raiding), because the Inn should be a safe place.');
   writeln(f[1],'         The lower, the more likely to happen.');
   writeln(f[1],'         1 means that the police raid the inn EVERY TIME. (don''t do that!)');
   writeln(f[1],'         0 means that the police never raid the inn.');
   writeln(f[1]);
   writeln(f[1],'Line 4 - Maximum number of HITPOINTS allowed.  0 to disable.');
   writeln(f[1]);
   writeln(f[1],'Line 5 - Maximum amount of CASH allowed.  This is bank only funds.');
   writeln(f[1],'         0 to disable');
   writeln(f[1]);
   writeln(f[1],'Line 6 - Maximum number of EXPERIENCE allowed.  0 to disable.');
   writeln(f[1]);
   writeln(f[1],'Line 7 - Maximum number of DEFENSE allowed.  0 to disable.');
   writeln(f[1]);
   writeln(f[1],'Line 8 - Maximum number of STRENGTH allowed.  0 to disable.');
   writeln(f[1]);
   writeln(f[1],'Line 9 - Number of levels players are allowed to fight DOWN before the');
   writeln(f[1],'         police go after them. Set it to 13 to disable.');
   writeln(f[1]);
   writeln(f[1],'Line 10 - Multiply this amount by their level CUBED, and you get the fine');
   writeln(f[1],'          for slaughtering lower-level players.');
   writeln(f[1],'          (i.e., level 3 with multiplier 40 would be 1080)');
   writeln(f[1]);
   writeln(f[1],'Line 11 - Random Number chance of police raiding the Weapon or Armor shops.');
   writeln(f[1],'          2 would raid every 1 out of 2 times');
   writeln(f[1],'          0 to disable');
   writeln(f[1]);
   writeln(f[1],'Line 12 - Multiply this amount by their level CUBED, and you get the amount');
   writeln(f[1],'          of cash ALL players get when the police raid either shop.');
   writeln(f[1],'          (i.e., Level 3 with multiplier 40 would be 1080).');
   writeln(f[1]);
   writeln(f[1],'Line 13 - Random Number chance of Violet getting arrested for prostitution.');
   writeln(f[1],'          2 would have her get arrested 1 out of 2 times');
   writeln(f[1],'          0 to disable');
   writeln(f[1]);
   writeln(f[1],'Line 14 - Random Number Addend after 1 for Violet''s "OUT" ness...');
   writeln(f[1],'          In other words, How long she''s out of the flirting scene...');
   writeln(f[1],'          6 could have her be out anywhere from 2 to 7 days.');
   writeln(f[1],'          0 makes it 1 day.');
   close(f[1]);
   reset(f[1]);
   write('<MORE>');
   a:=readkey; {wait for a key}
  end;
  readln(f[1],chanceactivity);
  readln(f[1],pathtolord);
  readln(f[1],chanceinnraid);
  readln(f[1],maxhitpoints);
  readln(f[1],maxgold);
  readln(f[1],maxexperience);
  readln(f[1],maxdefense);
  readln(f[1],maxstrength);
  readln(f[1],fightdown);
  readln(f[1],killlowerfine);
  readln(f[1],chanceequipmentstoreraid);
  readln(f[1],goldwhenraided);
  readln(f[1],chancevioletarrest);
  readln(f[1],violetout);
  close(f[1]);
  clrscr;
  writeln;
  writeln('       Chance of Activity: ',chanceactivity);
  writeln('       Path to Lord Files: ',pathtolord);
  writeln('       Chance of Inn Raid: ',chanceinnraid);
  writeln('        Maximum Hitpoints: ',maxhitpoints);
  writeln('             Maximum Gold: ',maxgold);
  writeln('       Maximum Experience: ',maxexperience);
  writeln('          Maximum Defence: ',maxdefense);
  writeln('         Maximum Strength: ',maxstrength);
  writeln('         Level Difference: ',fightdown);
  writeln('         Fine for LL Kill: ',killlowerfine);
  writeln('     Chance of Other Raid: ',chanceequipmentstoreraid);
  writeln('         Gold when Raided: ',goldwhenraided,' * Level^2');
  writeln('      Chance of Violet...: ',chancevioletarrest);
  writeln('          Violet Out-Time: ',violetout);
  writeln;
  writeln;
  writeln;
  writeln;
  writeln('[+] Increase  [-] Decrease  [CR] Select/Increase  [ESC] Exit');
  bar:=1;
  oldbar:=1;
  gotoxy(2,2);
  write('-=>');
  repeat
    A := Readkey;
    If (A = #0) Then A := Readkey;
    isInc := (A = '+') or (A = '=') and (Not (A In [#72, #80]));
    isDec := (A = '-') and (Not (A In [#72, #80]));
   case ord(a) of
    72:begin
     gotoxy(2,1+bar); write('   ');
     case bar of
      10,12:begin
       gotoxy(1,17);
       for i:=1 to 16 do write('     ');
      end;
     end;
     bar:=bar-1;
     if bar=0 then bar:=14;
     gotoxy(2,1+bar); write('-=>');
     case bar of
      10:begin
       val(killlowerfine,tmp,j);
       gotoxy(1,17);
       write('1: ',tmp,'       ');
       gotoxy(7,17);
       write('2: ',tmp*4,'       ');
       gotoxy(13,17);
       write('3: ',tmp*9,'       ');
       gotoxy(19,17);
       write('4: ',tmp*16,'       ');
       gotoxy(25,17);
       write('5: ',tmp*25,'       ');
       gotoxy(31,17);
       write('6: ',tmp*36,'       ');
       gotoxy(37,17);
       write('7: ',tmp*49,'       ');
       gotoxy(43,17);
       write('8: ',tmp*64,'       ');
       gotoxy(49,17);
       write('9: ',tmp*81,'       ');
       gotoxy(55,17);
       write('10:',tmp*100,'       ');
       gotoxy(61,17);
       write('11:',tmp*121,'       ');
       gotoxy(67,17);
       write('12:',tmp*144,'       ');
      end;
      12:begin
       val(goldwhenraided,tmp,j);
       gotoxy(1,17);
       write('1: ',tmp,'       ');
       gotoxy(7,17);
       write('2: ',tmp*4,'       ');
       gotoxy(13,17);
       write('3: ',tmp*9,'       ');
       gotoxy(19,17);
       write('4: ',tmp*16,'       ');
       gotoxy(25,17);
       write('5: ',tmp*25,'       ');
       gotoxy(31,17);
       write('6: ',tmp*36,'       ');
       gotoxy(37,17);
       write('7: ',tmp*49,'       ');
       gotoxy(43,17);
       write('8: ',tmp*64,'       ');
       gotoxy(49,17);
       write('9: ',tmp*81,'       ');
       gotoxy(55,17);
       write('10:',tmp*100,'       ');
       gotoxy(61,17);
       write('11:',tmp*121,'       ');
       gotoxy(67,17);
       write('12:',tmp*144,'       ');
      end;
     end;
    end;
    80:begin
     gotoxy(2,1+bar); write('   ');
     case bar of
      10,12:begin
       gotoxy(1,17);
       for i:=1 to 16 do write('     ');
      end;
     end;
     bar:=bar+1;
     if bar=15 then bar:=1;
     gotoxy(2,1+bar); write('-=>');
     case bar of
      10:begin
       val(killlowerfine,tmp,j);
       gotoxy(1,17);
       write('1: ',tmp,'       ');
       gotoxy(7,17);
       write('2: ',tmp*4,'       ');
       gotoxy(13,17);
       write('3: ',tmp*9,'       ');
       gotoxy(19,17);
       write('4: ',tmp*16,'       ');
       gotoxy(25,17);
       write('5: ',tmp*25,'       ');
       gotoxy(31,17);
       write('6: ',tmp*36,'       ');
       gotoxy(37,17);
       write('7: ',tmp*49,'       ');
       gotoxy(43,17);
       write('8: ',tmp*64,'       ');
       gotoxy(49,17);
       write('9: ',tmp*81,'       ');
       gotoxy(55,17);
       write('10:',tmp*100,'       ');
       gotoxy(61,17);
       write('11:',tmp*121,'       ');
       gotoxy(67,17);
       write('12:',tmp*144,'       ');
      end;
      12:begin
       val(goldwhenraided,tmp,j);
       gotoxy(1,17);
       write('1: ',tmp,'       ');
       gotoxy(7,17);
       write('2: ',tmp*4,'       ');
       gotoxy(13,17);
       write('3: ',tmp*9,'       ');
       gotoxy(19,17);
       write('4: ',tmp*16,'       ');
       gotoxy(25,17);
       write('5: ',tmp*25,'       ');
       gotoxy(31,17);
       write('6: ',tmp*36,'       ');
       gotoxy(37,17);
       write('7: ',tmp*49,'       ');
       gotoxy(43,17);
       write('8: ',tmp*64,'       ');
       gotoxy(49,17);
       write('9: ',tmp*81,'       ');
       gotoxy(55,17);
       write('10:',tmp*100,'       ');
       gotoxy(61,17);
       write('11:',tmp*121,'       ');
       gotoxy(67,17);
       write('12:',tmp*144,'       ');
      end;
     end;
    end;
    75:begin
     case bar of
      1:begin
       val(chanceactivity,tmp,j);
       dec(tmp);
       if tmp=0 then tmp:=1;
       str(tmp,chanceactivity);
       gotoxy(28,2);
       if tmp=1 then begin
        write('Every time                    ')
       end else begin
        write('1/',chanceactivity,' runs              ');
       end;
      end;
      2:begin
       gotoxy(10,17);
       write('Enter new path: ');
       readln(temp);
       if temp<>'' then pathtolord:=temp;
       gotoxy(10,17);
       for i:=1 to 64 do write(' ');
       gotoxy(28,3);
       write(pathtolord);
       end;
      3:begin
       val(chanceinnraid,tmp,j);
       dec(tmp);
       if tmp<0 then tmp:=0;
       str(tmp,chanceinnraid);
       gotoxy(28,4);
       if tmp=0 then begin
        write('Never               ');
       end else if tmp=1 then begin
        write('Every Time          ');
       end else begin
        write('1/',chanceinnraid,' runs         ');
       end;
      end;
      4:begin
       val(maxhitpoints,tmp,j);
       dec(tmp,5);
       if tmp<0 then tmp:=0;
       str(tmp,maxhitpoints);
       gotoxy(28,5);
       if tmp=0 then begin
        write('Function Disabled            ');
       end else begin
        write(maxhitpoints,' HP'); clreol;
       end;
       end;
      5:begin
       val(maxgold,tmp,j);
       dec(tmp,100);
       if tmp<0 then tmp:=0;
       str(tmp,maxgold);
       gotoxy(28,6);
       if tmp=0 then begin
        write('Function Disabled                ');
       end else begin
        write(maxgold,' Gold');  clreol;
       end;
      end;
      6:begin
       val(maxexperience,tmp,j);
       dec(tmp,5);
       if tmp<0 then tmp:=0;
       str(tmp,maxexperience);
       gotoxy(28,7);
       if tmp=0 then begin
        write('Function Disabled                 ');
       end else begin
        write(maxexperience,' Xp'); clreol;
       end;
      end;
      7:begin
       val(maxdefense,tmp,j);
       dec(tmp,1);
       if tmp<0 then tmp:=0;
       str(tmp,maxdefense);
       gotoxy(28,8);
       if tmp=0 then begin
        write('Function Disabled                 ');
       end else begin
        write(maxdefense,' defense');  clreol;
       end;
      end;
      8:begin
       val(maxstrength,tmp,j);
       dec(tmp,1);
       if tmp<0 then tmp:=0;
       str(tmp,maxstrength);
       gotoxy(28,9);
       if tmp=0 then begin
        write('Function Disabled                 ');
       end else begin
        write(maxstrength,' defense'); clreol;
       end;
      end;
      9:begin
       val(fightdown,tmp,j);
       dec(tmp,1);
       if tmp<0 then tmp:=0;
       str(tmp,fightdown);
       gotoxy(28,10);
       if tmp=0 then begin
        write('Can only kill upwards              ');  clreol;
       end else if tmp=1 then begin
        write('1 Level down max kill              ');  clreol;
       end else begin
        write(fightdown,' Levels down max kill     '); clreol;
       end;
      end;
      10:begin
       val(killlowerfine,tmp,j);
       dec(tmp,1);
       if tmp<0 then tmp:=0;
       str(tmp,killlowerfine);
       gotoxy(1,17);
       write('1: ',tmp,'       ');
       gotoxy(7,17);
       write('2: ',tmp*4,'       ');
       gotoxy(13,17);
       write('3: ',tmp*9,'       ');
       gotoxy(19,17);
       write('4: ',tmp*16,'       ');
       gotoxy(25,17);
       write('5: ',tmp*25,'       ');
       gotoxy(31,17);
       write('6: ',tmp*36,'       ');
       gotoxy(37,17);
       write('7: ',tmp*49,'       ');
       gotoxy(43,17);
       write('8: ',tmp*64,'       ');
       gotoxy(49,17);
       write('9: ',tmp*81,'       ');
       gotoxy(55,17);
       write('10:',tmp*100,'       ');
       gotoxy(61,17);
       write('11:',tmp*121,'       ');
       gotoxy(67,17);
       write('12:',tmp*144,'       ');
      end;
      11:begin
       val(chanceequipmentstoreraid,tmp,j);
       dec(tmp,1);
       if tmp<0 then tmp:=0;
       str(tmp,chanceequipmentstoreraid);
       gotoxy(28,12);
       if tmp=0 then begin
        write('Never                          ');
       end else if tmp=1 then begin
        write('Every Time                     ');
       end else begin
        write('1/',chanceequipmentstoreraid,' runs               ');
       end;
      end;
      12:begin
       val(goldwhenraided,tmp,j);
       dec(tmp,1);
       if tmp<0 then tmp:=0;
       str(tmp,goldwhenraided);
       gotoxy(1,17);
       write('1: ',tmp,'       ');
       gotoxy(7,17);
       write('2: ',tmp*4,'       ');
       gotoxy(13,17);
       write('3: ',tmp*9,'       ');
       gotoxy(19,17);
       write('4: ',tmp*16,'       ');
       gotoxy(25,17);
       write('5: ',tmp*25,'       ');
       gotoxy(31,17);
       write('6: ',tmp*36,'       ');
       gotoxy(37,17);
       write('7: ',tmp*49,'       ');
       gotoxy(43,17);
       write('8: ',tmp*64,'       ');
       gotoxy(49,17);
       write('9: ',tmp*81,'       ');
       gotoxy(55,17);
       write('10:',tmp*100,'       ');
       gotoxy(61,17);
       write('11:',tmp*121,'       ');
       gotoxy(67,17);
       write('12:',tmp*144,'       ');
      end;
      13:begin
       val(chancevioletarrest,tmp,j);
       dec(tmp,1);
       if tmp<0 then tmp:=0;
       str(tmp,chancevioletarrest);
       gotoxy(28,12);
       if tmp=0 then begin
        write('Never                          ');
       end else if tmp=1 then begin
        write('Every Time                     ');
       end else begin
        write('1/',chanceequipmentstoreraid,' runs               ');
       end;
      end;
      14:begin
       val(violetout,tmp,j);
       dec(tmp,1);
       if tmp<0 then tmp:=0;
       str(tmp,violetout);
       gotoxy(28,15);
       if tmp=0 then begin
        write('1 Day                   ');
       end else if tmp=1 then begin
        write('Either 1 or Two Days    ');
       end else begin
        write('Between 2 and ',violetout,' days      ');
       end;
      end;
     end;
    end;
    ord('-'),ord('='),ord('+'),75,13:begin
     case bar of
      1:begin
       val(chanceactivity,tmp,j);
       if isInc then inc(tmp) else
       if isDec then dec(tmp);
       if tmp=0 then tmp:=1;
       str(tmp,chanceactivity);
       gotoxy(28,2);
       if tmp=1 then begin
        write('Every time                    ')
       end else begin
        write('1/',chanceactivity,' runs              ');
       end;
      end;
      2:begin
       gotoxy(10,17);
       write('Enter new path: ');
       readln(temp);
       if temp<>'' then pathtolord:=temp;
       gotoxy(10,17);
       for i:=1 to 78 do write(' ');
       gotoxy(28,3);
       write(pathtolord);
      end;
      3:begin
       val(chanceinnraid,tmp,j);
       if isInc then inc(tmp) else
       if isDec then dec(tmp);
       if tmp<0 then tmp:=0;
       str(tmp,chanceinnraid);
       gotoxy(28,4);
       if tmp=0 then begin
        write('Never               ');
       end else if tmp=1 then begin
        write('Every Time          ');
       end else begin
        write('1/',chanceinnraid,' runs         ');
       end;
      end;
      4:begin
       val(maxhitpoints,tmp,j);
       if isInc then inc(tmp,5) else
       if isDec then dec(tmp,5);
       if tmp<0 then tmp:=0;
       str(tmp,maxhitpoints);
       gotoxy(28,5);
       if tmp=0 then begin
        write('Function Disabled            ');
       end else begin
        write(maxhitpoints,' HP               ');
       end;
      end;
      5:begin
       val(maxgold,tmp,j);
       if isInc then inc(tmp,100) else
       if isDec then dec(tmp,100);
       if tmp<0 then tmp:=0;
       str(tmp,maxgold);
       gotoxy(28,6);
       if tmp=0 then begin
        write('Function Disabled');
       end else begin
        write(maxgold,' Gold'); clreol;
       end;
      end;
      6:begin
       val(maxexperience,tmp,j);
       if isInc then inc(tmp,5) else
       if isDec then dec(tmp,5);
       if tmp<0 then tmp:=0;
       str(tmp,maxexperience);
       gotoxy(28,7);
       if tmp=0 then begin
        write('Function Disabled'); clreol;
       end else begin
        write(maxexperience,' Xp'); clreol;
       end;
      end;
      7:begin
       val(maxdefense,tmp,j);
       if isInc then inc(tmp) else
       if isDec then dec(tmp);
       if tmp<0 then tmp:=0;
       str(tmp,maxdefense);
       gotoxy(28,8);
       if tmp=0 then begin
        write('Function Disabled                 ');
       end else begin
        write(maxdefense,' defense'); clreol;
       end;
      end;
      8:begin
       val(maxstrength,tmp,j);
       if isInc then inc(tmp) else
       if isDec then dec(tmp);
       if tmp<0 then tmp:=0;
       str(tmp,maxstrength);
       gotoxy(28,9);
       if tmp=0 then begin
        write('Function Disabled                 ');
       end else begin
        write(maxstrength,' defense'); clreol;
       end;
      end;
      9:begin
       val(fightdown,tmp,j);
       if isInc then inc(tmp) else
       if isDec then dec(tmp);
       if tmp<0 then tmp:=0;
       str(tmp,fightdown);
       gotoxy(28,10);
       if tmp=0 then begin
        write('Can only kill upwards              ');
       end else if tmp=1 then begin
        write('1 Level down max kill              ');
       end else begin
        write(fightdown,' Levels down max kill     ');
       end;
      end;
      10:begin
       val(killlowerfine,tmp,j);
       if isInc then inc(tmp) else
       if isDec then dec(tmp);
       if tmp<0 then tmp:=0;
       str(tmp,killlowerfine);
       gotoxy(1,17);
       write('1: ',tmp,'       ');
       gotoxy(7,17);
       write('2: ',tmp*4,'       ');
       gotoxy(13,17);
       write('3: ',tmp*9,'       ');
       gotoxy(19,17);
       write('4: ',tmp*16,'       ');
       gotoxy(25,17);
       write('5: ',tmp*25,'       ');
       gotoxy(31,17);
       write('6: ',tmp*36,'       ');
       gotoxy(37,17);
       write('7: ',tmp*49,'       ');
       gotoxy(43,17);
       write('8: ',tmp*64,'       ');
       gotoxy(49,17);
       write('9: ',tmp*81,'       ');
       gotoxy(55,17);
       write('10:',tmp*100,'       ');
       gotoxy(61,17);
       write('11:',tmp*121,'       ');
       gotoxy(67,17);
       write('12:',tmp*144,'       ');
      end;
      11:begin
       val(chanceequipmentstoreraid,tmp,j);
       if isInc then inc(tmp) else
       if isDec then dec(tmp);
       if tmp<0 then tmp:=0;
       str(tmp,chanceequipmentstoreraid);
       gotoxy(28,12);
       if tmp=0 then begin
        write('Never                          ');
       end else if tmp=1 then begin
        write('Every Time                     ');
       end else begin
        write('1/',chanceequipmentstoreraid,' runs               ');
       end;
      end;
      12:begin
       val(goldwhenraided,tmp,j);
       if isInc then inc(tmp) else
       if isDec then dec(tmp);
       if tmp<0 then tmp:=0;
       str(tmp,goldwhenraided);
       gotoxy(1,17);
       write('1: ',tmp,'       ');
       gotoxy(7,17);
       write('2: ',tmp*4,'       ');
       gotoxy(13,17);
       write('3: ',tmp*9,'       ');
       gotoxy(19,17);
       write('4: ',tmp*16,'       ');
       gotoxy(25,17);
       write('5: ',tmp*25,'       ');
       gotoxy(31,17);
       write('6: ',tmp*36,'       ');
       gotoxy(37,17);
       write('7: ',tmp*49,'       ');
       gotoxy(43,17);
       write('8: ',tmp*64,'       ');
       gotoxy(49,17);
       write('9: ',tmp*81,'       ');
       gotoxy(55,17);
       write('10:',tmp*100,'       ');
       gotoxy(61,17);
       write('11:',tmp*121,'       ');
       gotoxy(67,17);
       write('12:',tmp*144,'       ');
      end;
      13:begin
       val(chancevioletarrest,tmp,j);
       if isInc then inc(tmp) else
       if isDec then dec(tmp);
       if tmp<0 then tmp:=0;
       str(tmp,chancevioletarrest);
       gotoxy(28,14);
       if tmp=0 then begin
        write('Never                          ');
       end else if tmp=1 then begin
        write('Every Time                     ');
       end else begin
        write('1/',chancevioletarrest,' runs               ');
       end;
      end;
      14:begin
       val(violetout,tmp,j);
       if isInc Then Inc(tmp) else
       if isDec Then Dec(tmp);
       if tmp<0 then tmp:=0;
       str(tmp,violetout);
       gotoxy(28,15);
       if tmp=0 then begin
        write('1 Day                   ');
       end else if tmp=1 then begin
        write('Either 1 or 2 Days    ');
       end else begin
        write('Between 2 and ',violetout,' days      ');
       end;
      end;
     end;
    end;
    27:Exit;
   end;
  until false;
End;

Procedure Refresh;
Begin
 clrscr;
 cursor(false);
 textcolor(15);
 Center(2,'LordCops!');
 Center(3,'By Elysium Software');
 center(5,'Main Menu');
 textcolor(15);
 gotoxy(33,7); write(' 1 - Config    ');
 gotoxy(33,8); write(' 2 - Install   ');
 gotoxy(33,9); write(' 3 - Uninstall ');
 gotoxy(33,10); write(' 4 - Quit      ');
 textcolor(13);
 gotoxy(33,7);
 write(#16);
 gotoxy(47,7);
 write(#17);
 bar:=1;
 oldbar:=1;
End;

begin
  Window(1,1,80,25);
  TextAttr := $1F;
  ClrScr;
  gotoxy(1,24);
  write(''); for i:=2 to 79 do write(''); write(''^h);
  gotoxy(1,2);
  GotoXY(1,1);
  write(''); for i:=2 to 79 do write(''); write('');
  for i:=2 to 23 do begin gotoxy(1,i);  write(''); end;
  for i:=2 to 23 do begin gotoxy(80,i); write(''); end;

 {draw a nice white-on-blue background}
 window(2,2,78,23);
 Refresh;
 Repeat
 repeat {main menu loop}
   A := Readkey;
   If (A = #0) Then A := Readkey;
  case ord(a) of
   72:begin
    bar:=bar-1;
    if bar<=0 then bar:=4;
   end;
   80:begin
    bar:=bar+1;
    if bar>=5 then bar:=1;
   end;
   49:bar:=1;
   50:bar:=2;
   51:bar:=3;
   52:bar:=4;
  end;
  if oldbar<>bar then begin
  TextAttr := $1D;
   gotoxy(33,oldbar+6);
   write(' ');
   gotoxy(47,oldbar+6);
   write(' ');
   gotoxy(33,bar+6);
   write(#16);
   gotoxy(47,bar+6);
   write(#17);
  end;
  oldbar:=bar;
 until (A = #13);
 case bar of
  1:config;
  2:Install;
  3:Uninstall;
  4:halt;
 end;
 Refresh;
 Until (Bar = 4);
end.
